com.smartgwt.client.types

## Enum FormItemType

- java.lang.Object
- - java.lang.Enum<FormItemType>
  - - com.smartgwt.client.types.FormItemType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<FormItemType>

      public enum FormItemType
      extends java.lang.Enum<FormItemType>
      implements ValueEnum

  DynamicForms automatically choose the FormItem type for a field based on the `type` property of the field. The table below describes the default FormItem chosen for various values of the `type` property.

  You can also set `field.editorType` to the classname of a `FormItem` to override this default mapping. You can alternatively override `DynamicForm.getEditorType` to create a form with different rules for which FormItems are chosen.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64_BINARY`
    `BINARY` Rendered as a `UploadItem`
    `BLOB`
    `BLURB_ITEM`
    `BOOLEAN` Rendered as a `CheckboxItem`
    `BUTTON_ITEM`
    `CANVAS_ITEM`
    `CHECKBOX`
    `CHECKBOX_ITEM`
    `COMBOBOX_ITEM`
    `CYCLE_ITEM`
    `DATE` Rendered as a `DateItem`
    `DATE_ITEM`
    `ENUM` Rendered as a `SelectItem`.
    `FILE`
    `FILE_ITEM`
    `FLOAT` Same as `text` by default.
    `HEADER_ITEM`
    `HIDDEN_ITEM`
    `IMAGE`
    `IMAGEFILE`
    `INTEGER` Same as `text` by default.
    `LINK` If `canEdit` `:false` is set on the field, the value is rendered as a `LinkItem`.
    `LINK_ITEM`
    `MULTI_FILE`
    `MULTI_UPLOAD`
    `MULTICOMBOBOX_ITEM`
    `NATIVE_CHECKBOX_ITEM`
    `PASSWORD_ITEM`
    `PICKTREE_ITEM`
    `RADIOGROUP_ITEM`
    `RELATION`
    `RESET_ITEM`
    `RICHTEXT_ITEM`
    `ROWSPACER_ITEM`
    `SECTION_ITEM`
    `SELECT_ITEM`
    `SELECT_OTHER`
    `SEQUENCE` Same as `text`
    `SLIDER_ITEM`
    `SPACER_ITEM`
    `SPINNER_ITEM`
    `STATIC_TEXT`
    `STATICTEXT_ITEM`
    `SUBMIT_ITEM`
    `TEXT` Rendered as a `TextItem`, unless the lenght of the field (as specified by `length` attribute) is larger than the value specified by `longTextEditorThreshold` , a `TextAreaItem` is shown.
    `TEXT_ITEM`
    `TEXTAREA_ITEM`
    `TIME` Rendered as a `TimeItem`
    `TIME_ITEM`
    `TOOLBAR_ITEM`
    `UPLOAD`
    `UPLOAD_ITEM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static FormItemType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FormItemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final FormItemType TEXT

      Rendered as a `TextItem`, unless the lenght of the field (as specified by `length` attribute) is larger than the value specified by `longTextEditorThreshold` , a `TextAreaItem` is shown.

    - #### BOOLEAN

          public static final FormItemType BOOLEAN

      Rendered as a `CheckboxItem`

    - #### INTEGER

          public static final FormItemType INTEGER

      Same as `text` by default. Consider setting editorType: `SpinnerItem`

    - #### FLOAT

          public static final FormItemType FLOAT

      Same as `text` by default. Consider setting editorType: `SpinnerItem`.

    - #### DATE

          public static final FormItemType DATE

      Rendered as a `DateItem`

    - #### TIME

          public static final FormItemType TIME

      Rendered as a `TimeItem`

    - #### ENUM

          public static final FormItemType ENUM

      Rendered as a `SelectItem`. Also true for any field that specifies a `FormItem.setValueMap(String[])` Consider setting editorType: `ComboBoxItem`.

    - #### SEQUENCE

          public static final FormItemType SEQUENCE

      Same as `text`

    - #### LINK

          public static final FormItemType LINK

      If `canEdit` `:false` is set on the field, the value is rendered as a `LinkItem`. Otherwise the field is rendered as a `TextItem`.

    - #### IMAGE

          public static final FormItemType IMAGE

    - #### CHECKBOX

          public static final FormItemType CHECKBOX

    - #### STATIC_TEXT

          public static final FormItemType STATIC_TEXT

    - #### BLOB

          public static final FormItemType BLOB

    - #### MULTI_FILE

          public static final FormItemType MULTI_FILE

    - #### MULTI_UPLOAD

          public static final FormItemType MULTI_UPLOAD

    - #### UPLOAD

          public static final FormItemType UPLOAD

    - #### FILE

          public static final FormItemType FILE

    - #### BASE64_BINARY

          public static final FormItemType BASE64_BINARY

    - #### CYCLE_ITEM

          public static final FormItemType CYCLE_ITEM

    - #### SELECT_OTHER

          public static final FormItemType SELECT_OTHER

    - #### RELATION

          public static final FormItemType RELATION

    - #### SELECT_ITEM

          public static final FormItemType SELECT_ITEM

    - #### HIDDEN_ITEM

          public static final FormItemType HIDDEN_ITEM

    - #### HEADER_ITEM

          public static final FormItemType HEADER_ITEM

    - #### DATE_ITEM

          public static final FormItemType DATE_ITEM

    - #### BLURB_ITEM

          public static final FormItemType BLURB_ITEM

    - #### COMBOBOX_ITEM

          public static final FormItemType COMBOBOX_ITEM

    - #### MULTICOMBOBOX_ITEM

          public static final FormItemType MULTICOMBOBOX_ITEM

    - #### SPACER_ITEM

          public static final FormItemType SPACER_ITEM

    - #### ROWSPACER_ITEM

          public static final FormItemType ROWSPACER_ITEM

    - #### CHECKBOX_ITEM

          public static final FormItemType CHECKBOX_ITEM

    - #### STATICTEXT_ITEM

          public static final FormItemType STATICTEXT_ITEM

    - #### LINK_ITEM

          public static final FormItemType LINK_ITEM

    - #### CANVAS_ITEM

          public static final FormItemType CANVAS_ITEM

    - #### PICKTREE_ITEM

          public static final FormItemType PICKTREE_ITEM

    - #### BUTTON_ITEM

          public static final FormItemType BUTTON_ITEM

    - #### SUBMIT_ITEM

          public static final FormItemType SUBMIT_ITEM

    - #### RESET_ITEM

          public static final FormItemType RESET_ITEM

    - #### RICHTEXT_ITEM

          public static final FormItemType RICHTEXT_ITEM

    - #### FILE_ITEM

          public static final FormItemType FILE_ITEM

    - #### SLIDER_ITEM

          public static final FormItemType SLIDER_ITEM

    - #### TOOLBAR_ITEM

          public static final FormItemType TOOLBAR_ITEM

    - #### SECTION_ITEM

          public static final FormItemType SECTION_ITEM

    - #### TEXTAREA_ITEM

          public static final FormItemType TEXTAREA_ITEM

    - #### TEXT_ITEM

          public static final FormItemType TEXT_ITEM

    - #### UPLOAD_ITEM

          public static final FormItemType UPLOAD_ITEM

    - #### PASSWORD_ITEM

          public static final FormItemType PASSWORD_ITEM

    - #### SPINNER_ITEM

          public static final FormItemType SPINNER_ITEM

    - #### TIME_ITEM

          public static final FormItemType TIME_ITEM

    - #### NATIVE_CHECKBOX_ITEM

          public static final FormItemType NATIVE_CHECKBOX_ITEM

    - #### RADIOGROUP_ITEM

          public static final FormItemType RADIOGROUP_ITEM

    - #### IMAGEFILE

          public static final FormItemType IMAGEFILE

    - #### BINARY

          public static final FormItemType BINARY

      Rendered as a `UploadItem`

  - ### Method Detail

    - #### values

          public static FormItemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormItemType c : FormItemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormItemType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`